<?php require_once("panel/system/ayar.php"); ?>
<?php require_once("panel/system/fonksiyon.php"); ?>
<?php
	$email	= p('email');
	$url	= p('url');
	$bul 	= Sonuc(Sorgu("SELECT * FROM uyeler WHERE email = '$email'"));
	$mailayar = Sonuc(Sorgu("SELECT * FROM mail WHERE id ='1'"));
	$mailayar = json_decode($mailayar->bilgiler,true);
	if($bul > 0){
		$konu 			= "Yeni Şifreniz";
		$sifreuret		= kod();
		$mesaj = "
		<div>
		
		<p>Sayın $bul->ad $bul->soyad,</p>

		<p>Talebiniz üzere mağazamızdaki şifreniz sıfırlanarak tekrar yeni bir şifre oluşturulmuştur. Yeni giriş bilgileriniz aşağıdaki gibidir.</p>

		<p><strong>E-Posta Adresiniz :</strong> $bul->email</br>
		<strong>Giriş Şifreniz :</strong> $sifreuret</p>

		<p>Her türlü sorunuz için bize $ayar->firma_tel numaralı telefondan ulaşabilirsiniz.</p>

		<p>$ayar->firma_adi</br> $url</p>

		</div>" ;
		require("class.phpmailer.php");
		$mail = new PHPMailer();
		$mail->IsSMTP();
		$mail->SMTPDebug = 1;
		$mail->SMTPAuth = true;
		$mail->Host = "".$mailayar['mail_host']."";
		$mail->Port = 587; 
		$mail->IsHTML(true);
		$mail->SetLanguage("tr", "phpmailer/language");
		$mail->CharSet  ="utf-8";
		$mail->Username = "".$mailayar['mail_username']."";
		$mail->Password = "".$mailayar['mail_parola']."";
		$mail->SetFrom("".$mailayar['mail_username']."", "$ayar->firma_adi");
		$mail->AddAddress($email); 
		$mail->Subject = $konu;
		$mail->Body = $mesaj;
		if(!$mail->Send()){
				echo '<div class="alert alert-danger" style="background:#f7a632;color:#FFF;">
				<button type="button" class="close" data-dismiss="alert">×</button>
				<strong style="float:left;margin-right:5px;"><i style="margin-top:5px;font-size:25px;" class="fa fa-exclamation-triangle"></i></strong> 
				<strong>İşlem Başarısız </strong><br> '.$mail->ErrorInfo.'</div>';
			} else {
			$uye_sorgu	=	Sorgu("UPDATE uyeler SET
										sifre			=	'$sifreuret'
										WHERE email		=	'$email'");	
							echo '<div class="alert alert-success" style="background:#73B572;color:#FFF;">
								<button type="button" class="close" data-dismiss="alert">×</button>
								<strong style="float:left;margin-right:5px;"><i style="margin-top:5px;font-size:25px;" class="fa fa-smile-o"></i></strong> 
								<strong>İşlem Tamamlandı. </strong><br> 
								Şifre Yenileme Maili E-Posta Adresinize Gönderildi !
							</div>';
							echo '<script type="text/javascript">';
							echo 'setTimeout(function() { window.location="giris.html"}, 1500);';
							echo '</script>';
			}	
		}else{
			echo '<div class="alert alert-danger" style="background:#f7a632;color:#FFF;">
				<button type="button" class="close" data-dismiss="alert">×</button>
				<strong style="float:left;margin-right:5px;"><i style="margin-top:5px;font-size:25px;" class="fa fa-exclamation-triangle"></i></strong> 
				<strong>İşlem Başarısız </strong><br> 
				E-Posta adresine ait üyelik bulunamadı..!
			</div>';
	}
	?>